## jack-delay 0.4.0

=== Makefile ===
# ----------------------------------------------------------------------------
#
#  Copyright (C) 2003-2011 Fons Adriaensen <fons@linuxaudio.org>
#    
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# ----------------------------------------------------------------------------


PREFIX = /usr/local
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)
DISTDIR = jack_delay-$(VERSION)
VERSION = 0.4.0
LDFLAGS += -L$(PREFIX)/$(LIBDIR)
CPPFLAGS += -O2 -Wall -MMD -MP -DVERSION=\"$(VERSION)\"
CPPFLAGS += -march=native

all:	jack_delay


JACK_DELAY_O =	jack_delay.o mtdm.o
jack_delay : LDLIBS += -ljack -lasound -lrt
jack_delay:	$(JACK_DELAY_O)
	g++ $(LDFLAGS) -o $@ $(JACK_DELAY_O) $(LDLIBS)


install:	jack_delay
	install -m 755 jack_delay $(PREFIX)/bin


clean:
	/bin/rm -f *~ *.o *.a *.d *.so jack_delay

=== debian/changelog ===
jack-delay (0.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #872307).

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 15 Aug 2017 22:02:34 +0200

=== debian/control ===
Source: jack-delay
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 10~),
 libjack-dev,
 libasound2-dev
Standards-Version: 4.0.0
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/jack-delay.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/jack-delay.git
Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/

Package: jack-delay
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: JACK latency meter
 jack_delay can be used to measure the round-trip latency of a soundcard.
 To do this, start the program and connect like this:
 .
 jack_delay -> playback_port -> cable from soundcard output to input ->
 -> capture port -> jack_delay
 .
 jack_delay generates a signal consisting of 13 sine waves, measures the
 phase difference between the input and output for each of these, and
 computes the delay from those phase differences. The algorithm used is
 one developed originally for satellite ranging -  that is measuring the
 distance between a satellite and a ground station.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export PREFIX=/usr

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs README

=== debian/watch ===
version=3
http://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html \
	jack_delay-(.*)\.tar\.bz2

## jack-delay 0.4.2

=== source/Makefile ===
# -----------------------------------------------------------------------------
#
#  Copyright (C) 2012-2018 Fons Adriaensen <fons@linuxaudio.org>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# -----------------------------------------------------------------------------


PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin

VERSION = 0.4.2
CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\"
CXXFLAGS += -O2 -Wall
CXXFLAGS += -march=native
LDLIBS += -ljack -lasound -lrt


all:	jack_delay


JACK_DELAY_O =	jack_delay.o mtdm.o
jack_delay:	$(JACK_DELAY_O)
	$(CXX) $(LDFLAGS) -o $@ $(JACK_DELAY_O) $(LDLIBS)


install:	jack_delay
	install -d $(DESTDIR)$(BINDIR)
	install -m 755 jack_delay $(DESTDIR)$(BINDIR)


uninstall:
	rm -f $(DESTDIR)$(BINDIR)/jack_delay


clean:
	/bin/rm -f *~ *.o *.a *.d *.so jack_delay

=== debian/changelog ===
jack-delay (0.4.2-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:44:28 +0100

jack-delay (0.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.4.2

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refreshed patches
  * Set source-directory for building
  * Use https:// protocol whenever possible
  * Use "jack_delay" rather than "Jack_delay" in long description
  * Bumped standards version to 4.3.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 03 Feb 2019 13:54:43 +0100

=== debian/rules ===
#!/usr/bin/make -f


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export PREFIX=/usr

%:
	dh $@ --sourcedirectory=source

override_dh_installchangelogs:
	dh_installchangelogs README

=== debian/watch ===
version=3
https://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html \
	jack_delay-(.*)\.tar\.bz2
